For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact us
DocumentationAPI Reference
DocumentationAPI Reference
  • Authentication
    • GETVerify API key
  • Documents
    • POSTUpload document
    • POSTUpload document into folder
    • GETList documents
    • GETList documents in folder
    • GETGet document
    • POSTCreate folder
    • DELDelete folder
    • POSTMove documents between folders
    • DELDelete documents
  • Workspaces
    • GETGet workspace
    • DELDelete workspace
    • POSTUpdate workspace
    • POSTAdd or remove workspace embeddings
    • GETList workspace tools
    • POSTAttach tool to workspace
    • DELDetach tool from workspace
  • Number Requests
    • GETList number requests
    • POSTRequest a phone number
    • GETGet number request
  • Numbers
    • GETList phone numbers
    • GETList phone numbers in organization
  • Organizations
    • GETList organizations
    • POSTCreate organization
    • GETGet organization
    • DELDelete organization
    • POSTUpdate organization
    • GETList workspaces in organization
    • POSTCreate workspace
    • GETList organization tools
    • POSTCreate organization tool
    • DELDelete organization tool
    • PATCHUpdate organization tool
  • Accounts
    • GETList accounts
    • POSTCreate account
  • Voice Integration
    • GETGet voice assistant config
    • PATCHUpdate voice assistant config
    • GETGet voice integration catalog
    • POSTProvision voice integration
    • GETList voice call logs
    • GETList workspace voice call logs
  • Whats App Integration
    • POSTMint a WhatsApp Business connect page token
    • GETRender WhatsApp Business connect iframe page
    • POSTFinalize WhatsApp Business onboarding (iframe-initiated)
    • DELDisconnect WhatsApp Business integration
Contact us
LogoLogo
Numbers

List phone numbers in organization

GET
https://staging-app.lumenia.net/api/v1/org/:orgSlug/numbers
GET
/api/v1/org/:orgSlug/numbers
$curl https://staging-app.lumenia.net/api/v1/org/orgSlug/numbers \
> -H "X-Account-Id: X-Account-Id" \
> -H "Authorization: Bearer <token>"
1{
2 "success": true,
3 "partner_id": 1,
4 "account_uuid": "string",
5 "numbers": [
6 {}
7 ]
8}

List provisioned numbers for the organization identified by {orgSlug} (hex-encoded). Requires X-Account-Id; the org must belong to that account.

Was this page helpful?
Previous

List organizations

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

orgSlugstringRequired

Hex-encoded slug of the organization.

Headers

X-Account-IdstringRequired

Account uuid; must belong to the API key partner. The organization must belong to this account.

Query parameters

scopestringOptional

all (includes soft-deleted), excluding_deleted (default), or available_for_voice (not deleted, no voice integration).

Response

Numbers list for the organization.
successboolean
partner_idinteger
account_uuidstringformat: "uuid"
numberslist of objects

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error